EDIT - task #10187

Use only 1 service call to initialize supplemental data
11/22/2022 03:09 PM - Andreas Miiller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal

Description

Currently for initializing supplemental data of e.g. a synonym in TaxEditor 7 services calls appear, 1 for each data type. We should try
to run only 1 service call.

Not clear yet what the best solution is. Maybe we could add an "initializeSupplemenatiData(cdmEntity)" method to the services or to
the commmon service which then does the initialization at once.

Related issues:

Related to EDIT - bug #10186: Problems with session handling in taxeditor Closed
Related to EDIT - feature request #6554: The details views are newly created ... In Progress
History

#1 - 11/22/2022 03:10 PM - Andreas Miiller
- Related to bug #10186: Problems with session handling in taxeditor added

#2 - 01/05/2023 05:04 PM - Andreas Miiller

- Target version changed from Release 5.35 to Release 5.44

#3 - 01/05/2023 05:45 PM - Andreas Miiller

- Related to feature request #6554: The details views are newly created with every change of the focus added
